ParseHtmlConstants (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.html
Interface ParseHtmlConstants

All Known Implementing Classes:
  ParseHtml, ParseHtmlTokenManager

    public interface ParseHtmlConstants

Field Summary
`static int` | `COLON`
`static int` | `DEFAULT`
`static int` | `DOCTYPEKEYWORD`
`static int` | `ENDING_COMMENT`
`static int` | `EOF`
`static int` | `EQUALS`
`static int` | `IN_ATTVALUE`
`static int` | `IN_COMMENT`
`static int` | `IN_DOCTYPE`
`static int` | `IN_DOCTYPE2`
`static int` | `IN_PCDATA`
`static int` | `IN_TAG`
`static int` | `LABRACKET`
`static int` | `NAKEDDTITEM`
`static int` | `NAKEDVALUE`
`static int` | `NAME`
`static int` | `OPENCOMMENT`
`static int` | `PCDATA`
`static int` | `PCDATASTART`
`static int` | `QMARK`
`static int` | `QUOTEDDTITEM`
`static int` | `QUOTEDVALUE`
`static int` | `RABRACKET`
`static int` | `SINGQUOTEDVALUE`
`static int` | `SLASH`
`static int` | `STARTDOCTYPE`
`static java.lang.String[]` | `tokenImage`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### STARTDOCTYPE

    static final int STARTDOCTYPE

See Also:
  Constant Field Values

### LABRACKET

    static final int LABRACKET

See Also:
  Constant Field Values

### PCDATASTART

    static final int PCDATASTART

See Also:
  Constant Field Values

### PCDATA

    static final int PCDATA

See Also:
  Constant Field Values

### NAME

    static final int NAME

See Also:
  Constant Field Values

### EQUALS

    static final int EQUALS

See Also:
  Constant Field Values

### NAKEDVALUE

    static final int NAKEDVALUE

See Also:
  Constant Field Values

### QUOTEDVALUE

    static final int QUOTEDVALUE

See Also:
  Constant Field Values

### SINGQUOTEDVALUE

    static final int SINGQUOTEDVALUE

See Also:
  Constant Field Values

### QMARK

    static final int QMARK

See Also:
  Constant Field Values

### SLASH

    static final int SLASH

See Also:
  Constant Field Values

### COLON

    static final int COLON

See Also:
  Constant Field Values

### RABRACKET

    static final int RABRACKET

See Also:
  Constant Field Values

### DOCTYPEKEYWORD

    static final int DOCTYPEKEYWORD

See Also:
  Constant Field Values

### NAKEDDTITEM

    static final int NAKEDDTITEM

See Also:
  Constant Field Values

### QUOTEDDTITEM

    static final int QUOTEDDTITEM

See Also:
  Constant Field Values

### OPENCOMMENT

    static final int OPENCOMMENT

See Also:
  Constant Field Values

### DEFAULT

    static final int DEFAULT

See Also:
  Constant Field Values

### IN_PCDATA

    static final int IN_PCDATA

See Also:
  Constant Field Values

### IN_TAG

    static final int IN_TAG

See Also:
  Constant Field Values

### IN_ATTVALUE

    static final int IN_ATTVALUE

See Also:
  Constant Field Values

### IN_DOCTYPE

    static final int IN_DOCTYPE

See Also:
  Constant Field Values

### IN_DOCTYPE2

    static final int IN_DOCTYPE2

See Also:
  Constant Field Values

### IN_COMMENT

    static final int IN_COMMENT

See Also:
  Constant Field Values

### ENDING_COMMENT

    static final int ENDING_COMMENT

See Also:
  Constant Field Values

### tokenImage

    static final java.lang.String[] tokenImage

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD